Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build.pipeline.tasks
Class BambooBuildPipeline

    java.lang.Object
      com.atlassian.bamboo.build.pipeline.tasks.BambooBuildPipeline

All Implemented Interfaces:
  BuildPipeline

    public class BambooBuildPipeline

extends Object
implements BuildPipeline

Constructor Summary
`BambooBuildPipeline(PipelineDefinition definition, BuildEventNotifier buildEventNotifier, ErrorHandler errorHandler)`

Method Summary
`boolean` | `acceptsBuildResults(BuildResults buildResults)`
`void` | `activate()`
`void` | `addBuild(BuildResults buildResults)`
`void` | `deactivate()`
`BuildResults` | `executeBuild(BuildResults buildResults)`
`BuildResults` | `getBuildResultForBuild(Build build)`
`BuildResults` | `getCurrentlyBuilding()`
`PipelineDefinition` | `getDefinition()`
`long` | `getId()`
`String` | `getName()`
`Collection` | `getQueue()`
`boolean` | `isAcceptsAllBuilds()`
`boolean` | `isActive()`
`boolean` | `isBuilding()`
`boolean` | `isBusy()`
`boolean` | `isCancelled()`
`static RuntimeException` | `launderThrowable(Throwable t)` Coerce an unchecked Throwable to a RuntimeException If the Throwable is an Error, throw it; if it is a RuntimeException return it, otherwise throw IllegalStateException
`void` | `removeBuild(Build build)`
`void` | `setDefinition(PipelineDefinition pipelineDefinition)`
`int` | `size()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BambooBuildPipeline

    public BambooBuildPipeline(PipelineDefinition definition,
                               BuildEventNotifier buildEventNotifier,
                               ErrorHandler errorHandler)

Method Detail

### executeBuild

    public BuildResults executeBuild(BuildResults buildResults)

### getCurrentlyBuilding

    public BuildResults getCurrentlyBuilding()

  Specified by:
    `getCurrentlyBuilding` in interface `BuildPipeline`

### isBuilding

    public boolean isBuilding()

### getId

    public long getId()

  Specified by:
    `getId` in interface `BuildPipeline`

### getName

    public String getName()

  Specified by:
    `getName` in interface `BuildPipeline`

### start

    public void start()

  Specified by:
    `start` in interface `BuildPipeline`

### stop

    public void stop()

  Specified by:
    `stop` in interface `BuildPipeline`

### isActive

    public boolean isActive()

  Specified by:
    `isActive` in interface `BuildPipeline`

### activate

    public void activate()

  Specified by:
    `activate` in interface `BuildPipeline`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `BuildPipeline`

### setDefinition

    public void setDefinition(PipelineDefinition pipelineDefinition)

  Specified by:
    `setDefinition` in interface `BuildPipeline`

### getDefinition

    public PipelineDefinition getDefinition()

  Specified by:
    `getDefinition` in interface `BuildPipeline`

### isAcceptsAllBuilds

    public boolean isAcceptsAllBuilds()

  Specified by:
    `isAcceptsAllBuilds` in interface `BuildPipeline`

### acceptsBuildResults

    public boolean acceptsBuildResults(BuildResults buildResults)

  Specified by:
    `acceptsBuildResults` in interface `BuildPipeline`

### getQueue

    public Collection getQueue()

  Specified by:
    `getQueue` in interface `BuildPipeline`

### isCancelled

    public boolean isCancelled()

### removeBuild

    public void removeBuild(Build build)

  Specified by:
    `removeBuild` in interface `BuildPipeline`

### getBuildResultForBuild

    public BuildResults getBuildResultForBuild(Build build)

  Specified by:
    `getBuildResultForBuild` in interface `BuildPipeline`

### size

    public int size()

  Specified by:
    `size` in interface `BuildPipeline`

### addBuild

    public void addBuild(BuildResults buildResults)
                  throws InterruptedException

  Specified by:
    `addBuild` in interface `BuildPipeline`
  Throws:
    `InterruptedException`

### isBusy

    public boolean isBusy()

  Specified by:
    `isBusy` in interface `BuildPipeline`

### launderThrowable

    public static RuntimeException launderThrowable(Throwable t)

  Coerce an unchecked Throwable to a RuntimeException

  If the Throwable is an Error, throw it; if it is a RuntimeException return it, otherwise throw IllegalStateException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.